Package de.gebit.integrity.dsl.impl

## Class SuiteDefinitionImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - de.gebit.integrity.dsl.impl.PackageStatementImpl
          - - de.gebit.integrity.dsl.impl.SuiteDefinitionImpl

- All Implemented Interfaces:
    `PackageStatement`, `SuiteDefinition`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`

      public class SuiteDefinitionImpl
      extends PackageStatementImpl
      implements SuiteDefinition

  An implementation of the model object 'Suite Definition'.

  The following features are implemented:

  - `Documentation`
  - `Private`
  - `Single Run`
  - `Inlined`
  - `Name`
  - `Parameters`
  - `Return`
  - `Dependencies`
  - `Finalizers`
  - `Statements`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.eclipse.emf.common.util.EList<SuiteDefinition>` | `dependencies` | The cached value of the '`Dependencies`' reference list.
    `protected DocumentationComment` | `documentation` | The cached value of the '`Documentation`' containment reference.
    `protected org.eclipse.emf.common.util.EList<SuiteDefinition>` | `finalizers` | The cached value of the '`Finalizers`' reference list.
    `protected String` | `inlined` | The cached value of the '`Inlined`' attribute.
    `protected static String` | `INLINED_EDEFAULT` | The default value of the '`Inlined`' attribute.
    `protected String` | `name` | The cached value of the '`Name`' attribute.
    `protected static String` | `NAME_EDEFAULT` | The default value of the '`Name`' attribute.
    `protected org.eclipse.emf.common.util.EList<SuiteParameterDefinition>` | `parameters` | The cached value of the '`Parameters`' containment reference list.
    `protected String` | `private_` | The cached value of the '`Private`' attribute.
    `protected static String` | `PRIVATE_EDEFAULT` | The default value of the '`Private`' attribute.
    `protected org.eclipse.emf.common.util.EList<SuiteReturnDefinition>` | `return_` | The cached value of the '`Return`' containment reference list.
    `protected static String` | `SINGLE_RUN_EDEFAULT` | The default value of the '`Single Run`' attribute.
    `protected String` | `singleRun` | The cached value of the '`Single Run`' attribute.
    `protected org.eclipse.emf.common.util.EList<SuiteStatement>` | `statements` | The cached value of the '`Statements`' containment reference list.

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SuiteDefinitionImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetDocumentation​(DocumentationComment newDocumentation, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `Object` | `eGet​(int featureID, boolean resolve, boolean coreType)`
    `org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `boolean` | `eIsSet​(int featureID)`
    `void` | `eSet​(int featureID, Object newValue)`
    `protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
    `void` | `eUnset​(int featureID)`
    `org.eclipse.emf.common.util.EList<SuiteDefinition>` | `getDependencies()`
    `DocumentationComment` | `getDocumentation()`
    `org.eclipse.emf.common.util.EList<SuiteDefinition>` | `getFinalizers()`
    `String` | `getInlined()`
    `String` | `getName()`
    `org.eclipse.emf.common.util.EList<SuiteParameterDefinition>` | `getParameters()`
    `String` | `getPrivate()`
    `org.eclipse.emf.common.util.EList<SuiteReturnDefinition>` | `getReturn()`
    `String` | `getSingleRun()`
    `org.eclipse.emf.common.util.EList<SuiteStatement>` | `getStatements()`
    `void` | `setDocumentation​(DocumentationComment newDocumentation)`
    `void` | `setInlined​(String newInlined)`
    `void` | `setName​(String newName)`
    `void` | `setPrivate​(String newPrivate)`
    `void` | `setSingleRun​(String newSingleRun)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### documentation

          protected DocumentationComment documentation

      The cached value of the '`Documentation`' containment reference.
      See Also:
        `getDocumentation()`

    - #### PRIVATE_EDEFAULT

          protected static final String PRIVATE_EDEFAULT

      The default value of the '`Private`' attribute.
      See Also:
        `getPrivate()`

    - #### private_

          protected String private_

      The cached value of the '`Private`' attribute.
      See Also:
        `getPrivate()`

    - #### SINGLE_RUN_EDEFAULT

          protected static final String SINGLE_RUN_EDEFAULT

      The default value of the '`Single Run`' attribute.
      See Also:
        `getSingleRun()`

    - #### singleRun

          protected String singleRun

      The cached value of the '`Single Run`' attribute.
      See Also:
        `getSingleRun()`

    - #### INLINED_EDEFAULT

          protected static final String INLINED_EDEFAULT

      The default value of the '`Inlined`' attribute.
      See Also:
        `getInlined()`

    - #### inlined

          protected String inlined

      The cached value of the '`Inlined`' attribute.
      See Also:
        `getInlined()`

    - #### NAME_EDEFAULT

          protected static final String NAME_EDEFAULT

      The default value of the '`Name`' attribute.
      See Also:
        `getName()`

    - #### name

          protected String name

      The cached value of the '`Name`' attribute.
      See Also:
        `getName()`

    - #### parameters

          protected org.eclipse.emf.common.util.EList<SuiteParameterDefinition> parameters

      The cached value of the '`Parameters`' containment reference list.
      See Also:
        `getParameters()`

    - #### return_

          protected org.eclipse.emf.common.util.EList<SuiteReturnDefinition> return_

      The cached value of the '`Return`' containment reference list.
      See Also:
        `getReturn()`

    - #### dependencies

          protected org.eclipse.emf.common.util.EList<SuiteDefinition> dependencies

      The cached value of the '`Dependencies`' reference list.
      See Also:
        `getDependencies()`

    - #### finalizers

          protected org.eclipse.emf.common.util.EList<SuiteDefinition> finalizers

      The cached value of the '`Finalizers`' reference list.
      See Also:
        `getFinalizers()`

    - #### statements

          protected org.eclipse.emf.common.util.EList<SuiteStatement> statements

      The cached value of the '`Statements`' containment reference list.
      See Also:
        `getStatements()`

  - ### Constructor Detail

    - #### SuiteDefinitionImpl

          protected SuiteDefinitionImpl()

  - ### Method Detail

    - #### eStaticClass

          protected org.eclipse.emf.ecore.EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `PackageStatementImpl`

    - #### getDocumentation

          public DocumentationComment getDocumentation()

      Specified by:
        `getDocumentation` in interface `SuiteDefinition`
      Returns:
        the value of the 'Documentation' containment reference.
      See Also:
        `SuiteDefinition.setDocumentation(DocumentationComment)`, `DslPackage.getSuiteDefinition_Documentation()`

    - #### basicSetDocumentation

          public org.eclipse.emf.common.notify.NotificationChain basicSetDocumentation​(DocumentationComment newDocumentation,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

    - #### setDocumentation

          public void setDocumentation​(DocumentationComment newDocumentation)

      Specified by:
        `setDocumentation` in interface `SuiteDefinition`
      Parameters:
        `newDocumentation` - the new value of the 'Documentation' containment reference.
      See Also:
        `SuiteDefinition.getDocumentation()`

    - #### getPrivate

          public String getPrivate()

      Specified by:
        `getPrivate` in interface `SuiteDefinition`
      Returns:
        the value of the 'Private' attribute.
      See Also:
        `SuiteDefinition.setPrivate(String)`, `DslPackage.getSuiteDefinition_Private()`

    - #### setPrivate

          public void setPrivate​(String newPrivate)

      Specified by:
        `setPrivate` in interface `SuiteDefinition`
      Parameters:
        `newPrivate` - the new value of the 'Private' attribute.
      See Also:
        `SuiteDefinition.getPrivate()`

    - #### getSingleRun

          public String getSingleRun()

      Specified by:
        `getSingleRun` in interface `SuiteDefinition`
      Returns:
        the value of the 'Single Run' attribute.
      See Also:
        `SuiteDefinition.setSingleRun(String)`, `DslPackage.getSuiteDefinition_SingleRun()`

    - #### setSingleRun

          public void setSingleRun​(String newSingleRun)

      Specified by:
        `setSingleRun` in interface `SuiteDefinition`
      Parameters:
        `newSingleRun` - the new value of the 'Single Run' attribute.
      See Also:
        `SuiteDefinition.getSingleRun()`

    - #### getInlined

          public String getInlined()

      Specified by:
        `getInlined` in interface `SuiteDefinition`
      Returns:
        the value of the 'Inlined' attribute.
      See Also:
        `SuiteDefinition.setInlined(String)`, `DslPackage.getSuiteDefinition_Inlined()`

    - #### setInlined

          public void setInlined​(String newInlined)

      Specified by:
        `setInlined` in interface `SuiteDefinition`
      Parameters:
        `newInlined` - the new value of the 'Inlined' attribute.
      See Also:
        `SuiteDefinition.getInlined()`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `SuiteDefinition`
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `SuiteDefinition.setName(String)`, `DslPackage.getSuiteDefinition_Name()`

    - #### setName

          public void setName​(String newName)

      Specified by:
        `setName` in interface `SuiteDefinition`
      Parameters:
        `newName` - the new value of the 'Name' attribute.
      See Also:
        `SuiteDefinition.getName()`

    - #### getParameters

          public org.eclipse.emf.common.util.EList<SuiteParameterDefinition> getParameters()

      Specified by:
        `getParameters` in interface `SuiteDefinition`
      Returns:
        the value of the 'Parameters' containment reference list.
      See Also:
        `DslPackage.getSuiteDefinition_Parameters()`

    - #### getReturn

          public org.eclipse.emf.common.util.EList<SuiteReturnDefinition> getReturn()

      Specified by:
        `getReturn` in interface `SuiteDefinition`
      Returns:
        the value of the 'Return' containment reference list.
      See Also:
        `DslPackage.getSuiteDefinition_Return()`

    - #### getDependencies

          public org.eclipse.emf.common.util.EList<SuiteDefinition> getDependencies()

      Specified by:
        `getDependencies` in interface `SuiteDefinition`
      Returns:
        the value of the 'Dependencies' reference list.
      See Also:
        `DslPackage.getSuiteDefinition_Dependencies()`

    - #### getFinalizers

          public org.eclipse.emf.common.util.EList<SuiteDefinition> getFinalizers()

      Specified by:
        `getFinalizers` in interface `SuiteDefinition`
      Returns:
        the value of the 'Finalizers' reference list.
      See Also:
        `DslPackage.getSuiteDefinition_Finalizers()`

    - #### getStatements

          public org.eclipse.emf.common.util.EList<SuiteStatement> getStatements()

      Specified by:
        `getStatements` in interface `SuiteDefinition`
      Returns:
        the value of the 'Statements' containment reference list.
      See Also:
        `DslPackage.getSuiteDefinition_Statements()`

    - #### eInverseRemove

          public org.eclipse.emf.common.notify.NotificationChain eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                                int featureID,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eGet

          public Object eGet​(int featureID,
                             boolean resolve,
                             boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eSet

          public void eSet​(int featureID,
                           Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eUnset

          public void eUnset​(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eIsSet

          public boolean eIsSet​(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`